commit: 966d037229026a0bbf44f1183fe66dde4e647aa6
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 08:02:20 2021 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 08:30:55 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=966d0372
dev-python/js2py: open the if statement, use double brackets
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-python/js2py/js2py-0.70_p20210218.ebuild | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/dev-python/js2py/js2py-0.70_p20210218.ebuild
b/dev-python/js2py/js2py-0.70_p20210218.ebuild
index 89897bdcda2..998dd3f8363 100644
--- a/dev-python/js2py/js2py-0.70_p20210218.ebuild
+++ b/dev-python/js2py/js2py-0.70_p20210218.ebuild
@@ -36,9 +36,11 @@ python_test() {
pushd ./tests >/dev/null || die
# Tests require "node_failed.txt" file where the logs are kept
- [ -f ./node_failed.txt ] && rm ./node_failed.txt
- touch ./node_failed.txt || die
+ if [[ -f ./node_failed.txt ]]; then
+ rm ./node_failed.txt || die
+ fi
+ touch ./node_failed.txt || die
"${EPYTHON}" ./run.py || die "tests failed with ${EPYTHON}"
popd >/dev/null || die